"use strict";
exports.__esModule = true;
exports.getColorForTone = void 0;
exports.getColorForTone = function (_a) {
    var toneColors = _a.toneColors, tone = _a.tone, _b = _a.defaultColor, defaultColor = _b === void 0 ? 'black' : _b;
    if (typeof tone === 'undefined') {
        return defaultColor;
    }
    else if (tone === 1) {
        return toneColors.first;
    }
    else if (tone === 2) {
        return toneColors.second;
    }
    else if (tone === 3) {
        return toneColors.third;
    }
    else if (tone === 4) {
        return toneColors.fourth;
    }
    else if (tone === 5) {
        return toneColors.neutral;
    }
    else {
        throw new Error("Unrecognized tone: " + tone);
    }
};
